import { ThemeRegistrationAny } from '@shikijs/types';
import { FunctionComponent } from 'react';
import { StyleProp, TextStyle, ScrollViewProps, ViewStyle } from 'react-native';

interface SyntaxHighlighterProps {
    text: string;
    language: string;
    theme: ThemeRegistrationAny;
    fontSize?: number;
    textStyle?: StyleProp<TextStyle>;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: StyleProp<ViewStyle>;
    highlightLines?: number[];
}
declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;

export { SyntaxHighlighter, type SyntaxHighlighterProps };
