'use strict';

var langs_typescript = require('./typescript.js');
var langs_esTagCss = require('./es-tag-css.js');
var langs_esTagGlsl = require('./es-tag-glsl.js');
var langs_esTagHtml = require('./es-tag-html.js');
var langs_esTagSql = require('./es-tag-sql.js');
var langs_esTagXml = require('./es-tag-xml.js');

const lang = Object.freeze(JSON.parse('{"displayName":"TypeScript with Tags","name":"ts-tags","patterns":[{"include":"source.ts"}],"scopeName":"source.ts.tags","embeddedLangs":["typescript","es-tag-css","es-tag-glsl","es-tag-html","es-tag-sql","es-tag-xml"],"aliases":["lit"]}'));
var tsTags = [
  ...langs_typescript,
  ...langs_esTagCss,
  ...langs_esTagGlsl,
  ...langs_esTagHtml,
  ...langs_esTagSql,
  ...langs_esTagXml,
  lang
];

module.exports = tsTags;
//# sourceMappingURL=ts-tags.js.map
